Bug 136961 - Remote Command page doesn't provide useful setup instructions
Remote Command page doesn't provide useful setup instructions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn360
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Max Spevack
:
Depends On:
Blocks: 123188
  Show dependency treegraph
 
Reported: 2004-10-23 21:32 EDT by Max Spevack
Modified: 2007-04-18 13:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 13:47:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the offending page (53.21 KB, image/png)
2004-10-23 21:33 EDT, Max Spevack
no flags Details

  None (edit)
Description Max Spevack 2004-10-23 21:32:36 EDT
Description of problem:
I am attaching a screenshot with the current display of this page.  In
short, the instructions on the page are vague, and does not make it
easy to get a system ready for remote command execution.

Recommend that in addition to the page saying that the
allowed-actions/..... file needs to exist, you state explicitly that
you need to join the system to the RHN tools channel and up2date
rhncfg-actions.

The three packages needed to execute scripts remotely are rhncfg,
rhncfg-actions, and rhncfg-client, but doing an up2date for -actions
gets the other 2 as dependencies.


Version-Release number of selected component (if applicable):
360

How reproducible:
Always

Steps to Reproduce:
1. See desc.
2.
3.
Comment 1 Max Spevack 2004-10-23 21:33:36 EDT
Created attachment 105699 [details]
screenshot of the offending page
Comment 2 Shannon Hughes 2004-10-27 15:50:16 EDT
qa plan:

got to the systems->details->remote command

verify the following text:

>>>>>>
Run Remote Command

You can schedule a remote script to execute on this system below. The
script will run as the user you specify.

You must enable Remote Command execution on the target system, by
adding a file to the local rhn configuration directory:
allowed-actions/script/run.

You must have the latest version of the RHN Configuration Client
installed to use this feature. Join the system to the RHN Tools
Channel and up2date rhncfg, rhncfg-actions and rhncfg-client packages.
>>>>
Comment 3 Todd Warner 2004-10-28 15:13:41 EDT
ON_DEV/QA_READY --> ON_QA (webQA and RHN Sat ISO/package push complete)
Comment 4 Todd Warner 2004-10-28 15:59:53 EDT
ON_DEV/QA_READY --> ON_QA (webQA and RHN Sat ISO/package push complete) REALLY!
Comment 5 Max Spevack 2004-11-01 14:22:28 EST
Fixed.
Comment 6 Todd Warner 2005-03-22 13:47:16 EST
Mass move from PROD_READY to CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.